{ ... }:

# TODO move locale config for hyprland here
{
  # Configure console keymap
  console.keyMap = "uk";

  # Select internationalisation properties.
  i18n = {
    defaultLocale = "en_GB.UTF-8";
    supportedLocales = [
      "en_GB.UTF-8/UTF-8"
      "nb_NO.UTF-8/UTF-8"
    ];
    extraLocaleSettings = {
      LC_ADDRESS = "nb_NO.UTF-8";
      LC_IDENTIFICATION = "nb_NO.UTF-8";
      LC_MEASUREMENT = "nb_NO.UTF-8";
      LC_MONETARY = "nb_NO.UTF-8";
      LC_NAME = "nb_NO.UTF-8";
      LC_NUMERIC = "nb_NO.UTF-8";
      LC_PAPER = "nb_NO.UTF-8";
      LC_TELEPHONE = "nb_NO.UTF-8";
      LC_TIME = "nb_NO.UTF-8";
    };
  };

  # Configure keymaps
  services.xserver.xkb = {
    layout = "gb,no";
    options = "grp:alt_shift_toggle"; # Toggle using ALT + SHIFT
  };

  # Set your time zone.
  time.timeZone = "Europe/Oslo";
}
